1.2
1.2
get /v1/privatelink-endpoints
Description
PrivateLink Endpoint 목록 조회
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | PrivateLink Endpoint ID Example : bba6d4de3ad64e41b3a1b6c88983ec02 | any of [string, null] | None |
| query | name optional | PrivateLink Endpoint 명 Example : EndpointName | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | subnet_id optional | Subnet ID Example : 023c57b14f11483689338d085e061492 | any of [string, null] | None |
| query | privatelink_service_id optional | PrivateLink Service ID Example : e3df2e8e3b374fbb81d4e322b52ca50d | any of [string, null] | None |
| query | endpoint_ip_address optional | Endpoint IP 주소 Example : 192.167.1.5 | any of [string, null] | None |
| query | state optional | PrivateLink Endpoint 상태 Example : ACTIVE | any of [enum (REQUESTING, CREATING, REJECTED, CANCELED, ACTIVE, DISCONNECTED, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateLinkEndpointListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/privatelink-endpoints
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.2"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"privatelink_endpoints": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"approval_type": "AUTO",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"endpoint_ip_address": "192.167.1.5",
"id": "bba6d4de3ad64e41b3a1b6c88983ec02",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "EndpointName",
"privatelink_service_id": "e3df2e8e3b374fbb81d4e322b52ca50d",
"state": "ACTIVE",
"subnet_id": "023c57b14f11483689338d085e061492",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}
],
"size": 20,
"sort": [
"created_at:asc"
]
}